/***************************************************************
 * Name:      EventsApp.cpp
 * Purpose:   Code for Application Class
 * Author:    Stefano Smania (smania2000@libero.it)
 * Created:   2010-09-07
 * Copyright: Stefano Smania (http:\\www.frikosystem.net)
 * License:
 **************************************************************/

#include "EventsApp.h"

//(*AppHeaders
#include "EventsMain.h"
#include <wx/image.h>
//*)

IMPLEMENT_APP(EventsApp);

bool EventsApp::OnInit()
{
    //(*AppInitialize
    bool wxsOK = true;
    wxInitAllImageHandlers();
    if ( wxsOK )
    {
    	EventsFrame* Frame = new EventsFrame(0);
    	Frame->Show();
    	SetTopWindow(Frame);
    }
    //*)
    return wxsOK;

}
