#include <wx/app.h>
#include <wx/event.h>
#include <wx/string.h>
#include <wx/thread.h>

#include "Thread.h"

DEFINE_EVENT_TYPE(E_MyEvent)

void CustomThread::SendThreadMessage(wxString str,int type)
{
    if(EH)
    {
      C_MyEvent event(E_MyEvent,type);
      event.SetText(str);
      wxPostEvent( EH, event );
    }
}

CustomThread::CustomThread(wxEvtHandler *ev): wxThread(wxTHREAD_JOINABLE)
{
  EH=ev;
}

CustomThread::~CustomThread()
{

}

void* CustomThread::Entry()
{
  SendThreadMessage(_("this is a message from a thread"),ThreadDebug);
  while(1)
  {
    if (TestDestroy())
    {
      break;
    }
    wxThread::Sleep(2000);
    SendThreadMessage(_("this is a message from a thread after 2 seconds"),ThreadUserMessage);
  }
  return(NULL);
}
